Instances
Use these endpoints for curves with curve_type INSTANCES. Each instance is identified by
its issue date. Paths are relative to the base URL
https://data-forecasts.volue.com/api/v1/timeseries. Response formats are described in
Curve types.
For forecasts relative to or at fixed times across many instances, see Absolute and relative forecasts.
Get instances
Section titled “Get instances”GET /instances/{id}Find instances for the specified curve.
Path parameters
Section titled “Path parameters”| Name | Type | Description | Required |
|---|---|---|---|
id |
integer | Curve ID | Yes |
Parameters
Section titled “Parameters”| Name | Type | Default | Description |
|---|---|---|---|
issue_date |
datetime | Filter on specific issue dates. Can be repeated. | |
issue_date_from |
datetime | Start of issue date interval (inclusive) | |
issue_date_to |
datetime | End of issue date interval (exclusive) | |
issue_month |
string | Filter on month of issue date. 1–12 or jan–dec |
|
issue_weekday |
string | Filter on day(s) of week. 0–6 or sun–sat (Sunday can also be 7) |
|
issue_day |
integer | Filter on day(s) of month. 1–31 |
|
issue_time |
string | Filter on time(s) of day. HH, HH:mm or HH:mm:ss (hours 0–23) |
|
with_data |
boolean | false |
Include data in each instance |
data_from |
datetime | Return data values from this time (inclusive) | |
data_to |
datetime | Return data values up to this time (exclusive) | |
time_zone |
string | Change the curve time zone before aggregation | |
output_time_zone |
string | Change the curve time zone after filtering and frequency change | |
filter |
string | Filter out parts of the time series. Filtering is done before aggregation/split | |
function |
string | The aggregation/split function to use when changing frequency | |
frequency |
string | The frequency of the output | |
modified_since |
datetime | Return instances modified at or after this time |
Get instance
Section titled “Get instance”GET /instances/{id}/atGet one instance of the specified curve, by issue date. Use the other parameters to filter the data returned.
Path parameters
Section titled “Path parameters”| Name | Type | Description | Required |
|---|---|---|---|
id |
integer | Curve ID | Yes |
Parameters
Section titled “Parameters”| Name | Type | Default | Required | Description |
|---|---|---|---|---|
issue_date |
datetime | Yes | The issue date. Only one can be given. | |
with_data |
boolean | true |
Include data | |
from |
datetime | Return data values from this time (inclusive) | ||
to |
datetime | Return data values up to this time (exclusive) | ||
time_zone |
string | Change the curve time zone before aggregation | ||
output_time_zone |
string | Change the curve time zone after filtering and frequency change | ||
filter |
string | Filter out parts of the time series. Filtering is done before aggregation/split | ||
function |
string | The aggregation/split function to use when changing frequency | ||
frequency |
string | The frequency of the output |
Example
Section titled “Example”curl -G -H "Authorization: Bearer $TOKEN" \ https://data-forecasts.volue.com/api/v1/timeseries/instances/809/at \ --data-urlencode "issue_date=2026-11-01T00:00:00+01:00"Get latest instance
Section titled “Get latest instance”GET /instances/{id}/latestGet the latest instance of the specified curve. Without parameters it returns the latest instance. With parameters it returns the latest instance matching them, for example within an interval.
Path parameters
Section titled “Path parameters”| Name | Type | Description | Required |
|---|---|---|---|
id |
integer | Curve ID | Yes |
Parameters
Section titled “Parameters”| Name | Type | Default | Description |
|---|---|---|---|
issue_date |
datetime | Filter on specific issue dates. Can be repeated; only the latest is returned. | |
issue_date_from |
datetime | Start of issue date interval (inclusive) | |
issue_date_to |
datetime | End of issue date interval (exclusive) | |
with_data |
boolean | true |
Include data |
data_from |
datetime | Return data values from this time (inclusive) | |
data_to |
datetime | Return data values up to this time (exclusive) | |
time_zone |
string | Change the curve time zone before aggregation | |
output_time_zone |
string | Change the curve time zone after filtering and frequency change | |
filter |
string | Filter out parts of the time series. Filtering is done before aggregation/split | |
function |
string | The aggregation/split function to use when changing frequency | |
frequency |
string | The frequency of the output | |
modified_since |
datetime | Return instances modified at or after this time |
output_time_zone changes the time zone of the output. With a filter
or an aggregation/split function, it is applied after
them. How the time stamps change depends on the curve frequency, see
Time zones.